Index: /trunk/tools/eam/shuffle/rsync.ipp141.shuffle.sh
===================================================================
--- /trunk/tools/eam/shuffle/rsync.ipp141.shuffle.sh	(revision 42550)
+++ /trunk/tools/eam/shuffle/rsync.ipp141.shuffle.sh	(revision 42550)
@@ -0,0 +1,102 @@
+# -- sh-mode -- 
+
+# to use this script, load in pantasks and run the init macro first (creates the output directoris)
+# Then, issue the command 'run' & the jobs will be quickly generated.  issue the command 'setup' to 
+# create the host targets.  
+
+$backup = 1
+$test = 0
+$delete = 
+
+if (not($?Njob))      set Njob = 0
+if (not($?srcdir:n))  set srcdir:n = 0
+if (not($?tgtdir:n))  set tgtdir:n = 0
+if (not($?srchost:n)) set srchost:n = 0
+if (not($?tgthost:n)) set tgthost:n = 0
+
+macro reset
+  set Njob = 0
+  set srcdir:n = 0
+  set tgtdir:n = 0
+  set srchost:n = 0
+  set tgthost:n = 0
+end
+
+# $delete = --delete
+# set backup to 0 to restore on original machine, use $delete to only keep current
+
+if not($?Njob) set Njob = 0
+
+if not($?LOGDIR) 
+  $today = `date +%Y%m%d`
+  $LOGDIR = logs.$today
+  mkdir $LOGDIR
+end
+
+# ipp141 -> ipp164
+
+# names are defined for a single src & tgt pair
+macro init.ipp141.0
+  for i 0 0x100
+    sprint srcname /data/ipp141.0/nebulous/%02x $i
+    sprint tgtname /export/ipp164.0/nebulous/%02x $i
+    list srcdir  -add $srcname
+    list tgtdir  -add $tgtname
+
+    list srchost -add ipp141_0
+    list tgthost -add ipp164_0
+  end
+end
+
+# names are defined for a single src & tgt pair
+macro init.ipp141.1
+  for i 0 0x100
+    sprint srcname /data/ipp141.1/nebulous/%02x $i
+    sprint tgtname /export/ipp164.1/nebulous/%02x $i
+    list srcdir  -add $srcname
+    list tgtdir  -add $tgtname
+
+    list srchost -add ipp141_1
+    list tgthost -add ipp164_1
+  end
+end
+
+task mkjobs
+  periods -poll 0.5
+  periods -timeout 10
+  host none
+
+  task.exec 
+    if (not($?tgtdir:n)) 
+      echo "create targets with init"
+      periods -exec 2.0
+      break
+    end
+
+    periods -exec 0.2
+    if ($Njob >= $tgtdir:n) 
+      periods -exec 20.0
+      break
+    end
+
+#   host -required $srchost:$Njob
+    host -required $tgthost:$Njob
+
+    stdout $LOGDIR/$srchost:$Njob.$Njob.log
+    stderr $LOGDIR/$srchost:$Njob.$Njob.log
+
+#   $exclude = --exclude-from=$EXCLUDE
+    $exclude = 
+
+#   $run = rsync $exclude --bwlimit=20000 -auv $srcdir:$Njob/ $tgtdir:$Njob/ 
+    $run = rsync $exclude -auv $srcdir:$Njob/ $tgtdir:$Njob/ 
+
+    if ($test)
+      command echo $run
+    else
+      command $run
+    end
+
+    $Njob ++
+  end
+end
